# Uses of Class
ij.gui.GenericDialog

Packages that use GenericDialog
Package
Description
ij.gui
ij.measure
ij.plugin
ij.plugin.filter

## Uses of GenericDialog in ij.gui

Subclasses of GenericDialog in ij.gui
Modifier and Type
Class
Description
`class`
`NonBlockingGenericDialog`
This is an extension of GenericDialog that is non-modal.
Fields in ij.gui declared as GenericDialog
Modifier and Type
Field
Description
`protected static GenericDialog`
GenericDialog.`instance`
Methods in ij.gui that return GenericDialog
Modifier and Type
Method
Description
`static GenericDialog`
GenericDialog.`getInstance()`
`static GenericDialog`
NonBlockingGenericDialog.`newDialog(String title)`
Obsolete, replaced by GUI.newNonBlockingDialog(String).
`static GenericDialog`
NonBlockingGenericDialog.`newDialog(String title, ImagePlus imp)`
Obsolete, replaced by GUI.newNonBlockingDialog(String,ImagePlus).
`static GenericDialog`
GUI.`newNonBlockingDialog(String title)`
Returns a new NonBlockingGenericDialog with the given title, except when Java is running in headless mode, in which case a GenericDialog is be returned.
`static GenericDialog`
GUI.`newNonBlockingDialog(String title, ImagePlus imp)`
Returns a new NonBlockingGenericDialog with the given title if Prefs.nonBlockingFilterDialogs is 'true' and 'imp' is displayed, otherwise returns a GenericDialog.
Methods in ij.gui with parameters of type GenericDialog
Modifier and Type
Method
Description
`boolean`
DialogListener.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
This method is invoked by a Generic Dialog if any of the inputs have changed (CANCEL does not trigger it; OK and running the dialog from a macro only trigger the first DialogListener added to a GenericDialog).
`boolean`
PlotContentsDialog.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
PlotDialog.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
This method is called when the user changes something in the dialog.
`boolean`
RoiDefaultsDialog.`dialogItemChanged(GenericDialog gd, AWTEvent e)`

## Uses of GenericDialog in ij.measure

Methods in ij.measure with parameters of type GenericDialog
Modifier and Type
Method
Description
`boolean`
ResultsTableMacros.`dialogItemChanged(GenericDialog gd, AWTEvent e)`

## Uses of GenericDialog in ij.plugin

Methods in ij.plugin that return GenericDialog
Modifier and Type
Method
Description
`protected GenericDialog`
ZProjector.`buildControlDialog(int start, int stop)`
Builds dialog to query users for projection parameters.
Methods in ij.plugin with parameters of type GenericDialog
Modifier and Type
Method
Description
`boolean`
AppearanceOptions.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
ArrowToolOptions.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
CircularRoiMaker.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
Coordinates.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
Grid.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
HyperStackReducer.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
OverlayLabels.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
PointToolOptions.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
RectToolOptions.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
RGBStackConverter.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
RoiEnlarger.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
SpecifyROI.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
Text.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
WandToolOptions.`dialogItemChanged(GenericDialog gd, AWTEvent e)`

## Uses of GenericDialog in ij.plugin.filter

Methods in ij.plugin.filter with parameters of type GenericDialog
Modifier and Type
Method
Description
`boolean`
BackgroundSubtracter.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
Binary.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
Convolver.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
GaussianBlur.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
Listener to modifications of the input fields of the dialog
`boolean`
ImageMath.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
MaximumFinder.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
Read the parameters (during preview or after showing the dialog)
`boolean`
PlugInFilterRunner.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
The listener to any change in the dialog.
`boolean`
RankFilters.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
Rotator.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
StackLabeler.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
Translator.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`boolean`
UnsharpMask.`dialogItemChanged(GenericDialog gd, AWTEvent e)`
`void`
PlugInFilterRunner.`setDialog(GenericDialog gd)`